rte_pmd_dpaa.h(3)

NAME
rte_pmd_dpaa.h

SYNOPSIS

#include <stdint.h>

  Functions

int rte_pmd_dpaa_set_tx_loopback (uint16_t port, uint8_t on)

Detailed Description

NXP dpaa PMD specific functions.

Warning
    EXPERIMENTAL: this API may change, or be removed, without prior notice

Definition in file rte_pmd_dpaa.h.

Function Documentation

  int rte_pmd_dpaa_set_tx_loopback (uint16_t port, uint8_t on)
Enable/Disable TX loopback

Parameters
    port The port identifier of the Ethernet device.
    on 1 - Enable TX loopback. 0 - Disable TX loopback.

Returns

    •   (0) if successful.

    •   (-ENODEV) if port invalid.

    •   (-EINVAL) if bad parameter.

Author

Generated automatically by Doxygen for DPDK from the source code.